Bug 152463 - CAN-2005-0866 cdrecord insecure temporary file
CAN-2005-0866 cdrecord insecure temporary file
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cdrtools (Show other bugs)
3
All Linux
low Severity low
: ---
: ---
Assigned To: Harald Hoyer
source=cve,impact=low,public=20050120...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-29 13:52 EST by Josh Bressers
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-19 15:23:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-03-29 13:52:20 EST
+++ This bug was initially created as a clone of Bug #152462 +++

Stolen from: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=291376

Cdrtools has some code (and default configuration) that suggests users that 
want to debug its behaviour to open up a can of worms associate to insecure 
temporary files usage. The Debug file defined in the configuration will 
just be fopened() without any checks and is thus vulnerable to symlink 
attacks.

The attached patch tries to fix this minor bug (not many users will really 
enabled DEBUG) by introducing a check in rscsi.c to avoid being vulnerable 
to symlink attacks and by modifying the provided config file telling users 
to use safe locations for debug files. The patch introduces a DoS condition 
(if somebody has created the file the program will exit) and that's why 
users are suggested (in the comments of the configuration file) to use a 
safe location (not /tmp) for debugging.
Comment 1 Josh Bressers 2005-03-29 13:52:40 EST
This issue should also affect FC2
Comment 2 Matthew Miller 2006-07-10 17:51:15 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 3 Matthew Miller 2006-10-19 15:23:09 EDT
The corresponding RHEL bug was marked wontfix. Seems reasonable here too.

Note You need to log in before you can comment on or make changes to this bug.